coreEngine.Helper

## Class CEConst

- java.lang.Object
- - coreEngine.Helper.CEConst

-     public class CEConst
      extends java.lang.Object

  This class contains constant identifier for core engine.
  Author:
    Shu Liu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FAIL` Analysis failed
    `static java.lang.String` | `IDS_ACC_DEC_LANE_LENGTH` Acceleration/Deceleration Lane Length in Feet
    `static java.lang.String` | `IDS_ACTUAL_TIME` Output Actual Travel Time in Minute
    `static java.lang.String` | `IDS_ADJUSTED_MAIN_DEMAND` Output Adjusted Mainline Demand in vph
    `static java.lang.String` | `IDS_ADJUSTED_OFF_RAMP_DEMAND` Output Adjusted Off Ramp Demand in vph
    `static java.lang.String` | `IDS_ADJUSTED_ON_RAMP_DEMAND` Output Adjusted On Ramp Demand in vph
    `static java.lang.String` | `IDS_ANALYSIS_PERIOD_HEADING` Analysis period heading identifier
    `static java.lang.String` | `IDS_ATDM_DETAIL` Detail of a ATDM
    `static java.lang.String` | `IDS_ATDM_NAME` Name of a ATDM
    `static java.lang.String` | `IDS_ATDM_NUM_EACH_RL_SCEN` Number of ATDM in One Scenario
    `static java.lang.String` | `IDS_ATDM_RAMP_METERING_RATE_FIX` ATDM Analysis Scenario Ramp Metering Rate for GP segments
    `static java.lang.String` | `IDS_ATDM_RAMP_METERING_TYPE` ATDM ramp metering type
    `static java.lang.String` | `IDS_ATDM_SCEN_IN_EACH_SET` Number of Scenarios in Each ATDM Set
    `static java.lang.String` | `IDS_ATDM_SET_NUM` Number of ATDM Sets in One Seed
    `static java.lang.String` | `IDS_ATDM_STRAT_TYPE_DEMAND` ATDM parameters identifier
    `static java.lang.String` | `IDS_ATDM_STRAT_TYPE_HARD_SHOULDER_RUNNING` ATDM parameters identifier
    `static java.lang.String` | `IDS_ATDM_STRAT_TYPE_INCIDENT` ATDM parameters identifier
    `static java.lang.String` | `IDS_ATDM_STRAT_TYPE_RAMP_METERING` ATDM parameters identifier
    `static java.lang.String` | `IDS_ATDM_STRAT_TYPE_WEATHER` ATDM parameters identifier
    `static java.lang.String` | `IDS_ATDM_STRAT_TYPE_WORKZONE` ATDM parameters identifier
    `static java.lang.String` | `IDS_BLANK` Blank String " "
    `static java.lang.String` | `IDS_CAPACITY_ALPHA` Two Density Capacity Drop Percentage
    `static java.lang.String` | `IDS_CB_P_ACTUAL_TIME` Period Summary
    `static java.lang.String` | `IDS_CB_P_FFS_TIME` Period Summary
    `static java.lang.String` | `IDS_CB_P_MAIN_DELAY` Period Summary
    `static java.lang.String` | `IDS_CB_P_MAX_DC` Period Summary
    `static java.lang.String` | `IDS_CB_P_MAX_VC` Period Summary
    `static java.lang.String` | `IDS_CB_P_ONR_DELAY` Period Summary
    `static java.lang.String` | `IDS_CB_P_PMTD` Period Summary
    `static java.lang.String` | `IDS_CB_P_PMTV` Period Summary
    `static java.lang.String` | `IDS_CB_P_REPORT_LOS` Period Summary
    `static java.lang.String` | `IDS_CB_P_SPACE_MEAN_SPEED` Period Summary
    `static java.lang.String` | `IDS_CB_P_TOTAL_DENSITY_PC` Period Summary
    `static java.lang.String` | `IDS_CB_P_TOTAL_DENSITY_VEH` Period Summary
    `static java.lang.String` | `IDS_CB_P_TOTAL_DENY_QUEUE_VEH` Period Summary
    `static java.lang.String` | `IDS_CB_P_TOTAL_MAIN_QUEUE_LENGTH_FT` Period Summary
    `static java.lang.String` | `IDS_CB_P_TOTAL_ON_QUEUE_LENGTH_FT` Period Summary
    `static java.lang.String` | `IDS_CB_P_TTI` Period Summary
    `static java.lang.String` | `IDS_CB_P_VHD` Period Summary
    `static java.lang.String` | `IDS_CB_P_VHT` Period Summary
    `static java.lang.String` | `IDS_CB_P_VMTD` Period Summary
    `static java.lang.String` | `IDS_CB_P_VMTV` Period Summary
    `static java.lang.String` | `IDS_CB_S_ACTUAL_TIME` Segment Summary
    `static java.lang.String` | `IDS_CB_S_MAX_DC` Segment Summary
    `static java.lang.String` | `IDS_CB_S_MAX_VC` Segment Summary
    `static java.lang.String` | `IDS_CB_S_PMTD` Segment Summary
    `static java.lang.String` | `IDS_CB_S_PMTV` Segment Summary
    `static java.lang.String` | `IDS_CB_S_REPORT_DENSITY_PC` Segment Summary
    `static java.lang.String` | `IDS_CB_S_SPACE_MEAN_SPEED` Segment Summary
    `static java.lang.String` | `IDS_CB_S_VHD` Segment Summary
    `static java.lang.String` | `IDS_CB_S_VHT` Segment Summary
    `static java.lang.String` | `IDS_CB_S_VMTD` Segment Summary
    `static java.lang.String` | `IDS_CB_S_VMTV` Segment Summary
    `static java.lang.String` | `IDS_CB_SP_ACTUAL_TIME` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_MAX_DC` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_MAX_VC` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_PMTD` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_PMTV` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_REPORT_DENSITY_PC` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_SPACE_MEAN_SPEED` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_VHD` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_VHT` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_VMTD` Facility Summary
    `static java.lang.String` | `IDS_CB_SP_VMTV` Facility Summary
    `static java.lang.String` | `IDS_CROSS_WEAVE_CAF` Cross Weave Capacity Adjustment Factor (Apply on GP when ML is used and has cross weave effect)
    `static java.lang.String` | `IDS_CROSS_WEAVE_LC_MIN` Managed Lane Cross Weave Minium Lane Change
    `static java.lang.String` | `IDS_CROSS_WEAVE_VOLUME` Managed Lane Cross Weave Volume
    `static java.lang.String` | `IDS_DASH` Dash String " "
    `static java.lang.String` | `IDS_DC` Output Demand/Capacity Ratio
    `static java.lang.String` | `IDS_DEMAND_BASED_LOS` Output Demand Based LOS
    `static java.lang.String` | `IDS_DENSITY_BASED_LOS` Output Density Based LOS
    `static java.lang.String` | `IDS_END_TIME` End Time of Analysis Period
    `static java.lang.String` | `IDS_ERROR` Error String "ERROR"
    `static java.lang.String` | `IDS_FFS_KNOWN` Free flow speed known identifier
    `static java.lang.String` | `IDS_FFS_TIME` Output Free Flow Speed Travel Time in Minute
    `static java.lang.String` | `IDS_GP_ATDM_CAF` ATDM Analysis Scenario CAF for GP segments
    `static java.lang.String` | `IDS_GP_ATDM_DAF` ATDM Analysis Scenario DAF for GP segments
    `static java.lang.String` | `IDS_GP_ATDM_LAF` ATDM Analysis Scenario LAF for GP segments
    `static java.lang.String` | `IDS_GP_ATDM_OAF` ATDM Analysis Scenario OAF for GP segments
    `static java.lang.String` | `IDS_GP_ATDM_SAF` ATDM Analysis Scenario SAF for GP segments
    `static java.lang.String` | `IDS_GP_CAF_CAPACITY` Output Final CAF Adjusted Mainline Capacity in pcph (display only, not used in computations)
    `static java.lang.String` | `IDS_GP_CALIB_CAF` Seed/User CAF for GP segments
    `static java.lang.String` | `IDS_GP_COMBINED_CAF` Output total combined CAF (display only, not used in computations)
    `static java.lang.String` | `IDS_GP_FHV` Output Mainline Heavy Vehicle Adjustment Factor
    `static java.lang.String` | `IDS_GP_HCM_BASE_CAPACITY` Output HCM Ideal Mainline Capacity in pcphpl (display only, not used in computations)
    `static java.lang.String` | `IDS_GP_INCIDENT_CAF` Seed/User CAF for GP segments
    `static java.lang.String` | `IDS_GP_LOCAL_BASE_CAPACITY` Output Local Ideal Mainline Capacity in pcphpl (display only, not used in computations)
    `static java.lang.String` | `IDS_GP_LOCAL_DEFAULT_CAF` Output local default CAF (Local Ideal capacity divided by HCM IDEAL Capacity (display only, not used in computations)
    `static java.lang.String` | `IDS_GP_RL_CAF` Reliability Analysis Scenario CAF for GP segments
    `static java.lang.String` | `IDS_GP_RL_DAF` Reliability Analysis Scenario DAF for GP segments
    `static java.lang.String` | `IDS_GP_RL_LAFI` Reliability Analysis Scenario LAF for GP segments
    `static java.lang.String` | `IDS_GP_RL_LAFWZ` Reliability Analysis Scenario LAF for GP segments
    `static java.lang.String` | `IDS_GP_RL_OAF` Reliability Analysis Scenario OAF for GP segments
    `static java.lang.String` | `IDS_GP_RL_SAF` Reliability Analysis Scenario SAF for GP segments
    `static java.lang.String` | `IDS_GP_USER_ATDM_CAF` Seed/User CAF for GP segments
    `static java.lang.String` | `IDS_GP_USER_CAF` Seed/User CAF for GP segments
    `static java.lang.String` | `IDS_GP_USER_DAF` Seed/User DAF for GP segments
    `static java.lang.String` | `IDS_GP_USER_DPCAF` Seed/User DPCAF for GP segments
    `static java.lang.String` | `IDS_GP_USER_DPSAF` Seed/User DPSAF for GP segments
    `static java.lang.String` | `IDS_GP_USER_OAF` Seed/User OAF for GP segments
    `static java.lang.String` | `IDS_GP_USER_SAF` Seed/User SAF for GP segments
    `static java.lang.String` | `IDS_GP_WZ_CAF` Seed/User CAF for GP segments
    `static java.lang.String` | `IDS_HAS_CROSS_WEAVE` Whether The Segment Has Cross Weave Effect
    `static java.lang.String` | `IDS_INFLUENCED_DENSITY_PC` Output Influenced Area Density pc/mi/ln
    `static java.lang.String` | `IDS_JAM_DENSITY` Facility Wide Jam Density
    `static java.lang.String` | `IDS_LANE_WIDTH` Lane Width in Feet
    `static java.lang.String` | `IDS_LATERAL_CLEARANCE` Lateral Clearance in Feet
    `static java.lang.String` | `IDS_LENGTH_OF_WEAVING` Length Short / Weaving Length in Feet
    `static java.lang.String` | `IDS_MAIN_CAPACITY` Output Mainline Capacity in vph
    `static java.lang.String` | `IDS_MAIN_DEMAND_VEH` Mainline Demand in veh
    `static java.lang.String` | `IDS_MAIN_FREE_FLOW_SPEED` Mainline Free Flow Speed
    `static java.lang.String` | `IDS_MAIN_NUM_LANES_IN` Mainline Number of Lanes
    `static java.lang.String` | `IDS_MAIN_NUM_LANES_IN_AND_ATDM` Mainline Number of Lanes
    `static java.lang.String` | `IDS_MAIN_VOLUME_SERVED` Output Mainline Volume Served
    `static java.lang.String` | `IDS_MAINLINE_DELAY` Output Mainline Delay in Minute
    `static java.lang.String` | `IDS_MANAGED_LANE_USED` Managed lane used identifier
    `static java.lang.String` | `IDS_MIN_LANE_CHANGE_FRWY_TO_OFR` Minimum Lane Change From Mainline to Off Ramp
    `static java.lang.String` | `IDS_MIN_LANE_CHANGE_ONR_TO_FRWY` Minimum Lane Change From On Ramp to Mainline
    `static java.lang.String` | `IDS_MIN_LANE_CHANGE_ONR_TO_OFR` Minimum Lane Change From On Ramp to Off Ramp
    `static java.lang.String` | `IDS_ML_ACC_DEC_LANE_LENGTH` Acceleration/Deceleration Lane Length in Feet
    `static java.lang.String` | `IDS_ML_ACTUAL_TIME` Output Actual Travel Time in Minute
    `static java.lang.String` | `IDS_ML_ADJUSTED_MAIN_DEMAND` Output Adjusted Mainline Demand in vph
    `static java.lang.String` | `IDS_ML_ADJUSTED_OFF_RAMP_DEMAND` Output Adjusted Off Ramp Demand in vph
    `static java.lang.String` | `IDS_ML_ADJUSTED_ON_RAMP_DEMAND` Output Adjusted On Ramp Demand in vph
    `static java.lang.String` | `IDS_ML_ATDM_CAF` ATDM Analysis Scenario CAF for ML segments
    `static java.lang.String` | `IDS_ML_ATDM_DAF` ATDM Analysis Scenario DAF for ML segments
    `static java.lang.String` | `IDS_ML_ATDM_LAF` ATDM Analysis Scenario LAF for ML segments
    `static java.lang.String` | `IDS_ML_ATDM_OAF` ATDM Analysis Scenario OAF for ML segments
    `static java.lang.String` | `IDS_ML_ATDM_SAF` ATDM Analysis Scenario SAF for ML segments
    `static java.lang.String` | `IDS_ML_DC` Output Demand/Capacity Ratio
    `static java.lang.String` | `IDS_ML_DEMAND_BASED_LOS` Output Demand Based LOS
    `static java.lang.String` | `IDS_ML_DEMAND_VEH` Mainline Demand in veh
    `static java.lang.String` | `IDS_ML_DENSITY_BASED_LOS` Output Density Based LOS
    `static java.lang.String` | `IDS_ML_FFS_TIME` Output Free Flow Speed Travel Time in Minute
    `static java.lang.String` | `IDS_ML_FREE_FLOW_SPEED` Mainline Free Flow Speed
    `static java.lang.String` | `IDS_ML_INFLUENCED_DENSITY_PC` Output Influenced Area Density pc/mi/ln
    `static java.lang.String` | `IDS_ML_LENGTH_SHORT` Length Short / Weaving Length in Feet
    `static java.lang.String` | `IDS_ML_MAIN_CAPACITY` Output Mainline Capacity in vph
    `static java.lang.String` | `IDS_ML_MAIN_VOLUME_SERVED` Output Mainline Volume Served
    `static java.lang.String` | `IDS_ML_MAINLINE_DELAY` Output Mainline Delay in Minute
    `static java.lang.String` | `IDS_ML_MAX_LANE_CHANGE_ML` Maximum Lane Change between GP and ML
    `static java.lang.String` | `IDS_ML_MIN_LANE_CHANGE_FRWY_TO_OFR` Minimum Lane Change From Mainline to Off Ramp
    `static java.lang.String` | `IDS_ML_MIN_LANE_CHANGE_ML` Minimum Lane Change between GP and ML
    `static java.lang.String` | `IDS_ML_MIN_LANE_CHANGE_ONR_TO_FRWY` Minimum Lane Change From On Ramp to Mainline
    `static java.lang.String` | `IDS_ML_MIN_LANE_CHANGE_ONR_TO_OFR` Minimum Lane Change From On Ramp to Off Ramp
    `static java.lang.String` | `IDS_ML_NUM_LANES` Mainline Number of Lanes
    `static java.lang.String` | `IDS_ML_NUM_LANES_WEAVING` Number of Lanes Weaving
    `static java.lang.String` | `IDS_ML_NUM_OFF_RAMP_LANES` Off Ramp Number of Lanes
    `static java.lang.String` | `IDS_ML_NUM_ON_RAMP_LANES` On Ramp Number of Lanes
    `static java.lang.String` | `IDS_ML_OCCUPANCY_PCT` Output ML Occupancy Percent
    `static java.lang.String` | `IDS_ML_OFF_RAMP_CAPACITY` Output Off Ramp Capacity in vph
    `static java.lang.String` | `IDS_ML_OFF_RAMP_DEMAND_VEH` Off Ramp Demand in veh
    `static java.lang.String` | `IDS_ML_OFF_RAMP_FREE_FLOW_SPEED` Off Ramp Free Flow Speed
    `static java.lang.String` | `IDS_ML_OFF_RAMP_SIDE` Off Ramp Side
    `static java.lang.String` | `IDS_ML_OFF_RAMP_VOLUME_SERVED` Output Off Ramp Volume Served in vph
    `static java.lang.String` | `IDS_ML_ON_QUEUE_VEH` Output On Ramp Queue In Number Of Vehicles
    `static java.lang.String` | `IDS_ML_ON_RAMP_CAPACITY` Output On/Off Ramp Capacity in vph
    `static java.lang.String` | `IDS_ML_ON_RAMP_DEMAND_VEH` On Ramp Demand in veh
    `static java.lang.String` | `IDS_ML_ON_RAMP_FREE_FLOW_SPEED` On Ramp Free Flow Speed
    `static java.lang.String` | `IDS_ML_ON_RAMP_SIDE` On Ramp Side
    `static java.lang.String` | `IDS_ML_ON_RAMP_VOLUME_SERVED` Output On Ramp Volume Served in vph
    `static java.lang.String` | `IDS_ML_P_ACTUAL_TIME` Period Summary
    `static java.lang.String` | `IDS_ML_P_FFS_TIME` Period Summary
    `static java.lang.String` | `IDS_ML_P_MAIN_DELAY` Period Summary
    `static java.lang.String` | `IDS_ML_P_MAX_DC` Period Summary
    `static java.lang.String` | `IDS_ML_P_MAX_VC` Period Summary
    `static java.lang.String` | `IDS_ML_P_ONR_DELAY` Period Summary
    `static java.lang.String` | `IDS_ML_P_PMTD` Period Summary
    `static java.lang.String` | `IDS_ML_P_PMTV` Period Summary
    `static java.lang.String` | `IDS_ML_P_REPORT_LOS` Period Summary
    `static java.lang.String` | `IDS_ML_P_SPACE_MEAN_SPEED` Period Summary
    `static java.lang.String` | `IDS_ML_P_TOTAL_DENSITY_PC` Period Summary
    `static java.lang.String` | `IDS_ML_P_TOTAL_DENSITY_VEH` Period Summary
    `static java.lang.String` | `IDS_ML_P_TOTAL_DENY_QUEUE_VEH` Period Summary
    `static java.lang.String` | `IDS_ML_P_TOTAL_MAIN_QUEUE_LENGTH_FT` Period Summary
    `static java.lang.String` | `IDS_ML_P_TOTAL_ON_QUEUE_LENGTH_FT` Period Summary
    `static java.lang.String` | `IDS_ML_P_TTI` Period Summary
    `static java.lang.String` | `IDS_ML_P_VHD` Period Summary
    `static java.lang.String` | `IDS_ML_P_VHT` Period Summary
    `static java.lang.String` | `IDS_ML_P_VMTD` Period Summary
    `static java.lang.String` | `IDS_ML_P_VMTV` Period Summary
    `static java.lang.String` | `IDS_ML_PMTD` Output PMTD
    `static java.lang.String` | `IDS_ML_PMTV` Output PMTV
    `static java.lang.String` | `IDS_ML_QUEUE_LENGTH` Output Queue Length In Feet
    `static java.lang.String` | `IDS_ML_QUEUE_PERCENTAGE` Output Queue Percentage
    `static java.lang.String` | `IDS_ML_RAMP_TO_RAMP_DEMAND_VEH` Ramp to Ramp Demand in veh
    `static java.lang.String` | `IDS_ML_RL_CAF` Reliability Analysis Scenario CAF for ML segments
    `static java.lang.String` | `IDS_ML_RL_DAF` Reliability Analysis Scenario DAF for ML segments
    `static java.lang.String` | `IDS_ML_RL_LAF` Reliability Analysis Scenario LAF for ML segments
    `static java.lang.String` | `IDS_ML_RL_OAF` Reliability Analysis Scenario OAF for ML segments
    `static java.lang.String` | `IDS_ML_RL_SAF` Reliability Analysis Scenario SAF for ML segments
    `static java.lang.String` | `IDS_ML_S_ACTUAL_TIME` Segment Summary
    `static java.lang.String` | `IDS_ML_S_MAX_DC` Segment Summary
    `static java.lang.String` | `IDS_ML_S_MAX_VC` Segment Summary
    `static java.lang.String` | `IDS_ML_S_PMTD` Segment Summary
    `static java.lang.String` | `IDS_ML_S_PMTV` Segment Summary
    `static java.lang.String` | `IDS_ML_S_REPORT_DENSITY_PC` Segment Summary
    `static java.lang.String` | `IDS_ML_S_SPACE_MEAN_SPEED` Segment Summary
    `static java.lang.String` | `IDS_ML_S_VHD` Segment Summary
    `static java.lang.String` | `IDS_ML_S_VHT` Segment Summary
    `static java.lang.String` | `IDS_ML_S_VMTD` Segment Summary
    `static java.lang.String` | `IDS_ML_S_VMTV` Segment Summary
    `static java.lang.String` | `IDS_ML_SEGMENT_LENGTH_FT` Segment Length in Feet
    `static java.lang.String` | `IDS_ML_SEGMENT_LENGTH_MI` Segment Length in Mile
    `static java.lang.String` | `IDS_ML_SEGMENT_TYPE` Segment Type
    `static java.lang.String` | `IDS_ML_SEPARATION_TYPE` Segment Separation Type
    `static java.lang.String` | `IDS_ML_SP_ACTUAL_TIME` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_MAX_DC` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_MAX_VC` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_PMTD` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_PMTV` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_REPORT_DENSITY_PC` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_SPACE_MEAN_SPEED` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_VHD` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_VHT` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_VMTD` Facility Summary
    `static java.lang.String` | `IDS_ML_SP_VMTV` Facility Summary
    `static java.lang.String` | `IDS_ML_SPACE_MEAN_SPEED` Output Space Mean Speed
    `static java.lang.String` | `IDS_ML_SPEED` Output Speed in mph
    `static java.lang.String` | `IDS_ML_TOTAL_DENSITY_PC` Output Density in pc/mi/ln
    `static java.lang.String` | `IDS_ML_TOTAL_DENSITY_VEH` Output Density in veh/mi/ln
    `static java.lang.String` | `IDS_ML_TRAVEL_TIME_INDEX` Output Travel Time Index
    `static java.lang.String` | `IDS_ML_TRUCK_SINGLE_PERCENTAGE` Mainline/On Ramp/Off Ramp Truck Single Percentage
    `static java.lang.String` | `IDS_ML_TRUCK_TRAILER_PERCENTAGE` Mainline/On Ramp/Off Ramp Truck Trailer Percentage
    `static java.lang.String` | `IDS_ML_TYPE_USED` Segment Type Used
    `static java.lang.String` | `IDS_ML_USER_CAF` Seed/User CAF
    `static java.lang.String` | `IDS_ML_USER_DAF` Seed/User DAF
    `static java.lang.String` | `IDS_ML_USER_OAF` Seed/User OAF
    `static java.lang.String` | `IDS_ML_USER_SAF` Seed/User SAF
    `static java.lang.String` | `IDS_ML_VC` Output Volume/Capacity Ratio
    `static java.lang.String` | `IDS_ML_VHD` Output VHD
    `static java.lang.String` | `IDS_ML_VHD_ACCESS` Output VHD
    `static java.lang.String` | `IDS_ML_VHD_M` Output VHD
    `static java.lang.String` | `IDS_ML_VHD_MDE` Output VHD
    `static java.lang.String` | `IDS_ML_VHD_R` Output VHD
    `static java.lang.String` | `IDS_ML_VHT` Output VHT
    `static java.lang.String` | `IDS_ML_VMTD` Output VMTD
    `static java.lang.String` | `IDS_ML_VMTV` Output VMTV
    `static java.lang.String` | `IDS_NA` String "N/A"
    `static java.lang.String` | `IDS_NA_SPECIAL` String "N/A Special"
    `static java.lang.String` | `IDS_NUM_LANES_WEAVING` Number of Lanes Weaving
    `static java.lang.String` | `IDS_NUM_OFF_RAMP_LANES` Off Ramp Number of Lanes
    `static java.lang.String` | `IDS_NUM_ON_RAMP_LANES` On Ramp Number of Lanes
    `static java.lang.String` | `IDS_NUM_PERIOD` Number of Periods
    `static java.lang.String` | `IDS_NUM_SCEN` Number of Scenarios
    `static java.lang.String` | `IDS_NUM_SEGMENT` Number of Segments
    `static java.lang.String` | `IDS_OCCU_GP` Facility Wide - Average vehicle occupancy in general purpose lanes (passenger / vehicle)
    `static java.lang.String` | `IDS_OCCU_ML` Facility Wide - Average vehicle occupancy in managed lanes (passenger / vehicle)
    `static java.lang.String` | `IDS_OCCUPANCY_PCT` Output Occupancy Percent
    `static java.lang.String` | `IDS_OFF_RAMP_CAPACITY` Output Off Ramp Capacity in vph
    `static java.lang.String` | `IDS_OFF_RAMP_DEMAND_VEH` Off Ramp Demand in veh
    `static java.lang.String` | `IDS_OFF_RAMP_FREE_FLOW_SPEED` Off Ramp Free Flow Speed
    `static java.lang.String` | `IDS_OFF_RAMP_SIDE` Off Ramp Side
    `static java.lang.String` | `IDS_OFF_RAMP_VOLUME_SERVED` Output Off Ramp Volume Served in vph
    `static java.lang.String` | `IDS_ON_QUEUE_VEH` Output On Ramp Queue In Number Of Vehicles
    `static java.lang.String` | `IDS_ON_RAMP_AVG_METERING_RATE` Output On Ramp Average Metering Rate in a Period
    `static java.lang.String` | `IDS_ON_RAMP_CAPACITY` Output On/Off Ramp Capacity in vph
    `static java.lang.String` | `IDS_ON_RAMP_DEMAND_VEH` On Ramp Demand in veh
    `static java.lang.String` | `IDS_ON_RAMP_FREE_FLOW_SPEED` On Ramp Free Flow Speed
    `static java.lang.String` | `IDS_ON_RAMP_METERING_RATE_ALINEA_KEY` On Ramp ALINEA Adaptive Metering
    `static java.lang.String` | `IDS_ON_RAMP_METERING_RATE_FIX` On Ramp Metering Fix Rate
    `static java.lang.String` | `IDS_ON_RAMP_METERING_RATE_FUZZY_KEY` On Ramp Fuzzy Adaptive Metering
    `static java.lang.String` | `IDS_ON_RAMP_QUEUE_CAPACITY_VPL` On Ramp Queue Capacity in veh/lane
    `static java.lang.String` | `IDS_ON_RAMP_SIDE` On Ramp Side
    `static java.lang.String` | `IDS_ON_RAMP_TIME_METERED` Output On Ramp Time Metered in a Period
    `static java.lang.String` | `IDS_ON_RAMP_VOLUME_SERVED` Output On Ramp Volume Served in vph
    `static java.lang.String` | `IDS_P_ACTUAL_TIME` Period Summary
    `static java.lang.String` | `IDS_P_FFS_TIME` Period Summary
    `static java.lang.String` | `IDS_P_MAIN_DELAY` Period Summary
    `static java.lang.String` | `IDS_P_MAX_DC` Period Summary
    `static java.lang.String` | `IDS_P_MAX_VC` Period Summary
    `static java.lang.String` | `IDS_P_ONR_DELAY` Period Summary
    `static java.lang.String` | `IDS_P_PMTD` Period Summary
    `static java.lang.String` | `IDS_P_PMTV` Period Summary
    `static java.lang.String` | `IDS_P_REPORT_LOS` Period Summary
    `static java.lang.String` | `IDS_P_SPACE_MEAN_SPEED` Period Summary
    `static java.lang.String` | `IDS_P_TOTAL_DENSITY_PC` Period Summary
    `static java.lang.String` | `IDS_P_TOTAL_DENSITY_VEH` Period Summary
    `static java.lang.String` | `IDS_P_TOTAL_DENY_QUEUE_VEH` Period Summary
    `static java.lang.String` | `IDS_P_TOTAL_MAIN_QUEUE_LENGTH_FT` Period Summary
    `static java.lang.String` | `IDS_P_TOTAL_ON_QUEUE_VEH` Period Summary
    `static java.lang.String` | `IDS_P_TTI` Period Summary
    `static java.lang.String` | `IDS_P_VHD` Period Summary
    `static java.lang.String` | `IDS_P_VHT` Period Summary
    `static java.lang.String` | `IDS_P_VMTD` Period Summary
    `static java.lang.String` | `IDS_P_VMTV` Period Summary
    `static java.lang.String` | `IDS_PERIOD_TIME` Length of Analysis Period
    `static java.lang.String` | `IDS_PMTD` Output PMTD
    `static java.lang.String` | `IDS_PMTV` Output PMTV
    `static java.lang.String` | `IDS_PROJECT_NAME` Project Name
    `static java.lang.String` | `IDS_QUEUE_LENGTH` Output Queue Length In Feet
    `static java.lang.String` | `IDS_QUEUE_PERCENTAGE` Output Queue Percentage
    `static java.lang.String` | `IDS_RAMP_METERING_TYPE` User defined ramp metering type
    `static int` | `IDS_RAMP_METERING_TYPE_ALINEA` Ramp metering type - ALINEA
    `static int` | `IDS_RAMP_METERING_TYPE_FIX` Ramp metering type - Fix
    `static int` | `IDS_RAMP_METERING_TYPE_FUZZY` Ramp metering type - Fuzzy
    `static int` | `IDS_RAMP_METERING_TYPE_NONE` Ramp metering type - None
    `static java.lang.String` | `IDS_RAMP_TO_RAMP_DEMAND_VEH` Ramp to Ramp Demand in veh
    `static java.lang.String` | `IDS_S_ACTUAL_TIME` Segment Summary
    `static java.lang.String` | `IDS_S_MAX_DC` Segment Summary
    `static java.lang.String` | `IDS_S_MAX_VC` Segment Summary
    `static java.lang.String` | `IDS_S_PMTD` Segment Summary
    `static java.lang.String` | `IDS_S_PMTV` Segment Summary
    `static java.lang.String` | `IDS_S_REPORT_DENSITY_PC` Segment Summary
    `static java.lang.String` | `IDS_S_SPACE_MEAN_SPEED` Segment Summary
    `static java.lang.String` | `IDS_S_VHD` Segment Summary
    `static java.lang.String` | `IDS_S_VHT` Segment Summary
    `static java.lang.String` | `IDS_S_VMTD` Segment Summary
    `static java.lang.String` | `IDS_S_VMTV` Segment Summary
    `static java.lang.String` | `IDS_SCEN_DETAIL` Detail of a Scenario
    `static java.lang.String` | `IDS_SCEN_NAME` Name of a Scenario
    `static java.lang.String` | `IDS_SCEN_PROB` Probability of a Scenario
    `static java.lang.String` | `IDS_SCENARIO_STATUS` Status of a Scenario
    `static java.lang.String` | `IDS_SEED_DEMAND_DATE` Seed demand date identifier
    `static java.lang.String` | `IDS_SEED_FILE_NAME` Seed File Name
    `static java.lang.String` | `IDS_SEED_URBAN_RURAL_TYPE` Seed Urban-Rural Type
    `static java.lang.String` | `IDS_SEGMENT_COORDINATE` Segment Endpoint Coordinate
    `static java.lang.String` | `IDS_SEGMENT_LATITUDE` Segment Endpoint Latitude Coordinate
    `static java.lang.String` | `IDS_SEGMENT_LENGTH_FT` Segment Length in Feet
    `static java.lang.String` | `IDS_SEGMENT_LENGTH_MI` Segment Length in Mile
    `static java.lang.String` | `IDS_SEGMENT_LONGITUDE` Segment Endpoint Longitude Coordinate
    `static java.lang.String` | `IDS_SEGMENT_NAME` Segment Name
    `static java.lang.String` | `IDS_SEGMENT_TYPE` Segment Type
    `static java.lang.String` | `IDS_SP_ACTUAL_TIME` Facility Summary
    `static java.lang.String` | `IDS_SP_MAX_DC` Facility Summary
    `static java.lang.String` | `IDS_SP_MAX_VC` Facility Summary
    `static java.lang.String` | `IDS_SP_PMTD` Facility Summary
    `static java.lang.String` | `IDS_SP_PMTV` Facility Summary
    `static java.lang.String` | `IDS_SP_REPORT_DENSITY_PC` Facility Summary
    `static java.lang.String` | `IDS_SP_SPACE_MEAN_SPEED` Facility Summary
    `static java.lang.String` | `IDS_SP_VHD` Facility Summary
    `static java.lang.String` | `IDS_SP_VHT` Facility Summary
    `static java.lang.String` | `IDS_SP_VMTD` Facility Summary
    `static java.lang.String` | `IDS_SP_VMTV` Facility Summary
    `static java.lang.String` | `IDS_SPACE_MEAN_SPEED` Output Space Mean Speed
    `static java.lang.String` | `IDS_SPEED` Output Speed in mph
    `static java.lang.String` | `IDS_START_TIME` Start Time of Analysis Period
    `static java.lang.String` | `IDS_TERRAIN` Terrain Type
    `static java.lang.String` | `IDS_TOTAL_DENSITY_PC` Output Density in pc/mi/ln
    `static java.lang.String` | `IDS_TOTAL_DENSITY_VEH` Output Density in veh/mi/ln
    `static java.lang.String` | `IDS_TOTAL_LENGTH_MI` Total Length of the Facility in Mile
    `static java.lang.String` | `IDS_TRAVEL_TIME_INDEX` Output Travel Time Index
    `static java.lang.String` | `IDS_TRUCK_CAR_ET` Truck - Passenger Car Equivalent
    `static java.lang.String` | `IDS_TRUCK_SINGLE_UNIT_PCT_MAINLINE` Mainline Truck Single Unit Percentage
    `static java.lang.String` | `IDS_TRUCK_SINGLE_UNIT_PCT_OFR` Off Ramp Truck Single Unit Percentage
    `static java.lang.String` | `IDS_TRUCK_SINGLE_UNIT_PCT_ONR` On Ramp Truck Single Unit Percentage
    `static java.lang.String` | `IDS_TRUCK_TRAILER_PCT_MAINLINE` Mainline Truck Trailer Percentage
    `static java.lang.String` | `IDS_TRUCK_TRAILER_PCT_OFR` Off Ramp Truck Trailer Percentage
    `static java.lang.String` | `IDS_TRUCK_TRAILER_PCT_ONR` On Ramp Truck Trailer Percentage
    `static java.lang.String` | `IDS_TYPE_USED` Segment Type Used
    `static java.lang.String` | `IDS_UPSTREAM_COORDINATE` Seed Upstream Coordinate
    `static java.lang.String` | `IDS_UPSTREAM_LATITUDE` Seed Upstream Latitude Coordinate
    `static java.lang.String` | `IDS_UPSTREAM_LONGITUDE` Seed Upstream Longitude Coordinate
    `static java.lang.String` | `IDS_VC` Output Volume/Capacity Ratio
    `static java.lang.String` | `IDS_VHD` Output VHD
    `static java.lang.String` | `IDS_VHD_ACCESS` Output VHD-ACCESS
    `static java.lang.String` | `IDS_VHD_M` Output VHD-M
    `static java.lang.String` | `IDS_VHD_MDE` Output VHD
    `static java.lang.String` | `IDS_VHD_R` Output VHD-R
    `static java.lang.String` | `IDS_VHT` Output VHT
    `static java.lang.String` | `IDS_VMTD` Output VMTD
    `static java.lang.String` | `IDS_VMTV` Output VMTV
    `static float` | `MAX` Tolerance when compare float point number to maximum
    `static int` | `ML_SEPARATION_BARRIER` Barrier
    `static int` | `ML_SEPARATION_BUFFER` Buffer
    `static int` | `ML_SEPARATION_MARKING` Marking
    `static int` | `RAMP_SIDE_LEFT` Ramp Side Left
    `static int` | `RAMP_SIDE_RIGHT` Ramp Side Right
    `static int` | `SCENARIO_HAS_OUTPUT` Scenario has input and output
    `static int` | `SCENARIO_INPUT_ONLY` Scenario has input only
    `static int` | `SEED_RURAL` Seed Type Rural
    `static int` | `SEED_URBAN` Seed Type Urban
    `static int` | `SEG_TYPE_ACS` Segment Type Access
    `static int` | `SEG_TYPE_B` Segment Type Basic
    `static int` | `SEG_TYPE_GP` Segment Type General Purpose
    `static int` | `SEG_TYPE_ML` Segment Type Managed Lane
    `static int` | `SEG_TYPE_OFR` Segment Type Off Ramp
    `static int` | `SEG_TYPE_OFR_B` Segment Type Off Ramp to Basic
    `static int` | `SEG_TYPE_ONR` Segment Type On Ramp
    `static int` | `SEG_TYPE_ONR_B` Segment Type On Ramp to Basic
    `static int` | `SEG_TYPE_R` Segment Type Overlapping
    `static int` | `SEG_TYPE_W` Segment Type Weaving
    `static int` | `SEG_TYPE_W_B` Segment Type Weaving to Basic
    `static int` | `STATUS_BG` Calculation Status for Over Saturated Background Density Calculation
    `static int` | `STATUS_OVER_TO_UNDER` Calculation Status for Over Saturated Calculation using Under Saturated Functions
    `static int` | `STATUS_UNDER` Calculation Status for Under Saturated Calculation
    `static java.lang.String` | `STR_ML_SEPARATION_BARRIER` Barrier
    `static java.lang.String` | `STR_ML_SEPARATION_BUFFER` Buffer
    `static java.lang.String` | `STR_ML_SEPARATION_MARKING` Marking
    `static java.lang.String` | `STR_RAMP_METERING_TYPE_ALINEA` Ramp metering type - ALINEA
    `static java.lang.String` | `STR_RAMP_METERING_TYPE_FIX` Ramp metering type - Fix
    `static java.lang.String` | `STR_RAMP_METERING_TYPE_FUZZY` Ramp metering type - Fuzzy
    `static java.lang.String` | `STR_RAMP_METERING_TYPE_NONE` Ramp metering type - None
    `static java.lang.String` | `STR_RAMP_SIDE_LEFT` Ramp Side Left
    `static java.lang.String` | `STR_RAMP_SIDE_RIGHT` Ramp Side Right
    `static java.lang.String` | `STR_SEG_TYPE_ACS` Segment Type Access
    `static java.lang.String` | `STR_SEG_TYPE_B` Segment Type Basic
    `static java.lang.String` | `STR_SEG_TYPE_OFR` Segment Type Off Ramp
    `static java.lang.String` | `STR_SEG_TYPE_OFR_B` Segment Type Off Ramp to Basic
    `static java.lang.String` | `STR_SEG_TYPE_ONR` Segment Type On Ramp
    `static java.lang.String` | `STR_SEG_TYPE_ONR_B` Segment Type On Ramp to Basic
    `static java.lang.String` | `STR_SEG_TYPE_R` Segment Type Overlapping
    `static java.lang.String` | `STR_SEG_TYPE_W` Segment Type Weaving
    `static java.lang.String` | `STR_SEG_TYPE_W_B` Segment Type Weaving to Basic
    `static java.lang.String` | `STR_TERRAIN_LEVEL` Terrain Type Level
    `static java.lang.String` | `STR_TERRAIN_ROLLING` Terrain Type Rolling
    `static java.lang.String` | `STR_TERRAIN_VARYING_OR_OTHER` Terrain Type Varying or Other
    `static int` | `SUCCESS` Analysis is successful
    `static int` | `TERRAIN_LEVEL` Terrain Type Level
    `static int` | `TERRAIN_ROLLING` Terrain Type Rolling
    `static int` | `TERRAIN_VARYING_OR_OTHER` Terrain Type Varying or Other
    `static float` | `ZERO` Tolerance when compare float point number to zero

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CEConst()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEED_URBAN

          public static final int SEED_URBAN

      Seed Type Urban
      See Also:
        Constant Field Values

    - #### SEED_RURAL

          public static final int SEED_RURAL

      Seed Type Rural
      See Also:
        Constant Field Values

    - #### TERRAIN_LEVEL

          public static final int TERRAIN_LEVEL

      Terrain Type Level
      See Also:
        Constant Field Values

    - #### TERRAIN_ROLLING

          public static final int TERRAIN_ROLLING

      Terrain Type Rolling
      See Also:
        Constant Field Values

    - #### TERRAIN_VARYING_OR_OTHER

          public static final int TERRAIN_VARYING_OR_OTHER

      Terrain Type Varying or Other
      See Also:
        Constant Field Values

    - #### STR_TERRAIN_LEVEL

          public static final java.lang.String STR_TERRAIN_LEVEL

      Terrain Type Level
      See Also:
        Constant Field Values

    - #### STR_TERRAIN_ROLLING

          public static final java.lang.String STR_TERRAIN_ROLLING

      Terrain Type Rolling
      See Also:
        Constant Field Values

    - #### STR_TERRAIN_VARYING_OR_OTHER

          public static final java.lang.String STR_TERRAIN_VARYING_OR_OTHER

      Terrain Type Varying or Other
      See Also:
        Constant Field Values

    - #### SEG_TYPE_GP

          public static final int SEG_TYPE_GP

      Segment Type General Purpose
      See Also:
        Constant Field Values

    - #### SEG_TYPE_ML

          public static final int SEG_TYPE_ML

      Segment Type Managed Lane
      See Also:
        Constant Field Values

    - #### SEG_TYPE_B

          public static final int SEG_TYPE_B

      Segment Type Basic
      See Also:
        Constant Field Values

    - #### SEG_TYPE_ONR

          public static final int SEG_TYPE_ONR

      Segment Type On Ramp
      See Also:
        Constant Field Values

    - #### SEG_TYPE_OFR

          public static final int SEG_TYPE_OFR

      Segment Type Off Ramp
      See Also:
        Constant Field Values

    - #### SEG_TYPE_R

          public static final int SEG_TYPE_R

      Segment Type Overlapping
      See Also:
        Constant Field Values

    - #### SEG_TYPE_W

          public static final int SEG_TYPE_W

      Segment Type Weaving
      See Also:
        Constant Field Values

    - #### SEG_TYPE_ACS

          public static final int SEG_TYPE_ACS

      Segment Type Access
      See Also:
        Constant Field Values

    - #### SEG_TYPE_ONR_B

          public static final int SEG_TYPE_ONR_B

      Segment Type On Ramp to Basic
      See Also:
        Constant Field Values

    - #### SEG_TYPE_OFR_B

          public static final int SEG_TYPE_OFR_B

      Segment Type Off Ramp to Basic
      See Also:
        Constant Field Values

    - #### SEG_TYPE_W_B

          public static final int SEG_TYPE_W_B

      Segment Type Weaving to Basic
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_B

          public static final java.lang.String STR_SEG_TYPE_B

      Segment Type Basic
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_ONR

          public static final java.lang.String STR_SEG_TYPE_ONR

      Segment Type On Ramp
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_OFR

          public static final java.lang.String STR_SEG_TYPE_OFR

      Segment Type Off Ramp
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_R

          public static final java.lang.String STR_SEG_TYPE_R

      Segment Type Overlapping
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_W

          public static final java.lang.String STR_SEG_TYPE_W

      Segment Type Weaving
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_ONR_B

          public static final java.lang.String STR_SEG_TYPE_ONR_B

      Segment Type On Ramp to Basic
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_OFR_B

          public static final java.lang.String STR_SEG_TYPE_OFR_B

      Segment Type Off Ramp to Basic
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_W_B

          public static final java.lang.String STR_SEG_TYPE_W_B

      Segment Type Weaving to Basic
      See Also:
        Constant Field Values

    - #### STR_SEG_TYPE_ACS

          public static final java.lang.String STR_SEG_TYPE_ACS

      Segment Type Access
      See Also:
        Constant Field Values

    - #### RAMP_SIDE_LEFT

          public static final int RAMP_SIDE_LEFT

      Ramp Side Left
      See Also:
        Constant Field Values

    - #### RAMP_SIDE_RIGHT

          public static final int RAMP_SIDE_RIGHT

      Ramp Side Right
      See Also:
        Constant Field Values

    - #### STR_RAMP_SIDE_LEFT

          public static final java.lang.String STR_RAMP_SIDE_LEFT

      Ramp Side Left
      See Also:
        Constant Field Values

    - #### STR_RAMP_SIDE_RIGHT

          public static final java.lang.String STR_RAMP_SIDE_RIGHT

      Ramp Side Right
      See Also:
        Constant Field Values

    - #### IDS_RAMP_METERING_TYPE_NONE

          public static final int IDS_RAMP_METERING_TYPE_NONE

      Ramp metering type - None
      See Also:
        Constant Field Values

    - #### IDS_RAMP_METERING_TYPE_FIX

          public static final int IDS_RAMP_METERING_TYPE_FIX

      Ramp metering type - Fix
      See Also:
        Constant Field Values

    - #### IDS_RAMP_METERING_TYPE_ALINEA

          public static final int IDS_RAMP_METERING_TYPE_ALINEA

      Ramp metering type - ALINEA
      See Also:
        Constant Field Values

    - #### IDS_RAMP_METERING_TYPE_FUZZY

          public static final int IDS_RAMP_METERING_TYPE_FUZZY

      Ramp metering type - Fuzzy
      See Also:
        Constant Field Values

    - #### STR_RAMP_METERING_TYPE_NONE

          public static final java.lang.String STR_RAMP_METERING_TYPE_NONE

      Ramp metering type - None
      See Also:
        Constant Field Values

    - #### STR_RAMP_METERING_TYPE_FIX

          public static final java.lang.String STR_RAMP_METERING_TYPE_FIX

      Ramp metering type - Fix
      See Also:
        Constant Field Values

    - #### STR_RAMP_METERING_TYPE_ALINEA

          public static final java.lang.String STR_RAMP_METERING_TYPE_ALINEA

      Ramp metering type - ALINEA
      See Also:
        Constant Field Values

    - #### STR_RAMP_METERING_TYPE_FUZZY

          public static final java.lang.String STR_RAMP_METERING_TYPE_FUZZY

      Ramp metering type - Fuzzy
      See Also:
        Constant Field Values

    - #### ML_SEPARATION_MARKING

          public static final int ML_SEPARATION_MARKING

      Marking
      See Also:
        Constant Field Values

    - #### ML_SEPARATION_BUFFER

          public static final int ML_SEPARATION_BUFFER

      Buffer
      See Also:
        Constant Field Values

    - #### ML_SEPARATION_BARRIER

          public static final int ML_SEPARATION_BARRIER

      Barrier
      See Also:
        Constant Field Values

    - #### STR_ML_SEPARATION_MARKING

          public static final java.lang.String STR_ML_SEPARATION_MARKING

      Marking
      See Also:
        Constant Field Values

    - #### STR_ML_SEPARATION_BUFFER

          public static final java.lang.String STR_ML_SEPARATION_BUFFER

      Buffer
      See Also:
        Constant Field Values

    - #### STR_ML_SEPARATION_BARRIER

          public static final java.lang.String STR_ML_SEPARATION_BARRIER

      Barrier
      See Also:
        Constant Field Values

    - #### STATUS_UNDER

          public static final int STATUS_UNDER

      Calculation Status for Under Saturated Calculation
      See Also:
        Constant Field Values

    - #### STATUS_BG

          public static final int STATUS_BG

      Calculation Status for Over Saturated Background Density Calculation
      See Also:
        Constant Field Values

    - #### STATUS_OVER_TO_UNDER

          public static final int STATUS_OVER_TO_UNDER

      Calculation Status for Over Saturated Calculation using Under Saturated Functions
      See Also:
        Constant Field Values

    - #### ZERO

          public static final float ZERO

      Tolerance when compare float point number to zero
      See Also:
        Constant Field Values

    - #### MAX

          public static final float MAX

      Tolerance when compare float point number to maximum
      See Also:
        Constant Field Values

    - #### SCENARIO_INPUT_ONLY

          public static final int SCENARIO_INPUT_ONLY

      Scenario has input only
      See Also:
        Constant Field Values

    - #### SCENARIO_HAS_OUTPUT

          public static final int SCENARIO_HAS_OUTPUT

      Scenario has input and output
      See Also:
        Constant Field Values

    - #### SUCCESS

          public static final int SUCCESS

      Analysis is successful
      See Also:
        Constant Field Values

    - #### FAIL

          public static final int FAIL

      Analysis failed
      See Also:
        Constant Field Values

    - #### IDS_NA

          public static final java.lang.String IDS_NA

      String "N/A"
      See Also:
        Constant Field Values

    - #### IDS_NA_SPECIAL

          public static final java.lang.String IDS_NA_SPECIAL

      String "N/A Special"
      See Also:
        Constant Field Values

    - #### IDS_BLANK

          public static final java.lang.String IDS_BLANK

      Blank String " "
      See Also:
        Constant Field Values

    - #### IDS_DASH

          public static final java.lang.String IDS_DASH

      Dash String " "
      See Also:
        Constant Field Values

    - #### IDS_ERROR

          public static final java.lang.String IDS_ERROR

      Error String "ERROR"
      See Also:
        Constant Field Values

    - #### IDS_ANALYSIS_PERIOD_HEADING

          public static final java.lang.String IDS_ANALYSIS_PERIOD_HEADING

      Analysis period heading identifier
      See Also:
        Constant Field Values

    - #### IDS_SEED_FILE_NAME

          public static final java.lang.String IDS_SEED_FILE_NAME

      Seed File Name
      See Also:
        Constant Field Values

    - #### IDS_PROJECT_NAME

          public static final java.lang.String IDS_PROJECT_NAME

      Project Name
      See Also:
        Constant Field Values

    - #### IDS_SEED_URBAN_RURAL_TYPE

          public static final java.lang.String IDS_SEED_URBAN_RURAL_TYPE

      Seed Urban-Rural Type
      See Also:
        Constant Field Values

    - #### IDS_NUM_PERIOD

          public static final java.lang.String IDS_NUM_PERIOD

      Number of Periods
      See Also:
        Constant Field Values

    - #### IDS_PERIOD_TIME

          public static final java.lang.String IDS_PERIOD_TIME

      Length of Analysis Period
      See Also:
        Constant Field Values

    - #### IDS_NUM_SEGMENT

          public static final java.lang.String IDS_NUM_SEGMENT

      Number of Segments
      See Also:
        Constant Field Values

    - #### IDS_START_TIME

          public static final java.lang.String IDS_START_TIME

      Start Time of Analysis Period
      See Also:
        Constant Field Values

    - #### IDS_END_TIME

          public static final java.lang.String IDS_END_TIME

      End Time of Analysis Period
      See Also:
        Constant Field Values

    - #### IDS_JAM_DENSITY

          public static final java.lang.String IDS_JAM_DENSITY

      Facility Wide Jam Density
      See Also:
        Constant Field Values

    - #### IDS_OCCU_GP

          public static final java.lang.String IDS_OCCU_GP

      Facility Wide - Average vehicle occupancy in general purpose lanes (passenger / vehicle)
      See Also:
        Constant Field Values

    - #### IDS_OCCU_ML

          public static final java.lang.String IDS_OCCU_ML

      Facility Wide - Average vehicle occupancy in managed lanes (passenger / vehicle)
      See Also:
        Constant Field Values

    - #### IDS_CAPACITY_ALPHA

          public static final java.lang.String IDS_CAPACITY_ALPHA

      Two Density Capacity Drop Percentage
      See Also:
        Constant Field Values

    - #### IDS_TOTAL_LENGTH_MI

          public static final java.lang.String IDS_TOTAL_LENGTH_MI

      Total Length of the Facility in Mile
      See Also:
        Constant Field Values

    - #### IDS_FFS_KNOWN

          public static final java.lang.String IDS_FFS_KNOWN

      Free flow speed known identifier
      See Also:
        Constant Field Values

    - #### IDS_MANAGED_LANE_USED

          public static final java.lang.String IDS_MANAGED_LANE_USED

      Managed lane used identifier
      See Also:
        Constant Field Values

    - #### IDS_SEED_DEMAND_DATE

          public static final java.lang.String IDS_SEED_DEMAND_DATE

      Seed demand date identifier
      See Also:
        Constant Field Values

    - #### IDS_NUM_SCEN

          public static final java.lang.String IDS_NUM_SCEN

      Number of Scenarios
      See Also:
        Constant Field Values

    - #### IDS_SCEN_NAME

          public static final java.lang.String IDS_SCEN_NAME

      Name of a Scenario
      See Also:
        Constant Field Values

    - #### IDS_SCEN_DETAIL

          public static final java.lang.String IDS_SCEN_DETAIL

      Detail of a Scenario
      See Also:
        Constant Field Values

    - #### IDS_SCENARIO_STATUS

          public static final java.lang.String IDS_SCENARIO_STATUS

      Status of a Scenario
      See Also:
        Constant Field Values

    - #### IDS_SCEN_PROB

          public static final java.lang.String IDS_SCEN_PROB

      Probability of a Scenario
      See Also:
        Constant Field Values

    - #### IDS_GP_RL_CAF

          public static final java.lang.String IDS_GP_RL_CAF

      Reliability Analysis Scenario CAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_RL_OAF

          public static final java.lang.String IDS_GP_RL_OAF

      Reliability Analysis Scenario OAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_RL_DAF

          public static final java.lang.String IDS_GP_RL_DAF

      Reliability Analysis Scenario DAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_RL_SAF

          public static final java.lang.String IDS_GP_RL_SAF

      Reliability Analysis Scenario SAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_RL_LAFI

          public static final java.lang.String IDS_GP_RL_LAFI

      Reliability Analysis Scenario LAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_RL_LAFWZ

          public static final java.lang.String IDS_GP_RL_LAFWZ

      Reliability Analysis Scenario LAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_ML_RL_CAF

          public static final java.lang.String IDS_ML_RL_CAF

      Reliability Analysis Scenario CAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_RL_OAF

          public static final java.lang.String IDS_ML_RL_OAF

      Reliability Analysis Scenario OAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_RL_DAF

          public static final java.lang.String IDS_ML_RL_DAF

      Reliability Analysis Scenario DAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_RL_SAF

          public static final java.lang.String IDS_ML_RL_SAF

      Reliability Analysis Scenario SAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_RL_LAF

          public static final java.lang.String IDS_ML_RL_LAF

      Reliability Analysis Scenario LAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ATDM_NAME

          public static final java.lang.String IDS_ATDM_NAME

      Name of a ATDM
      See Also:
        Constant Field Values

    - #### IDS_ATDM_DETAIL

          public static final java.lang.String IDS_ATDM_DETAIL

      Detail of a ATDM
      See Also:
        Constant Field Values

    - #### IDS_ATDM_NUM_EACH_RL_SCEN

          public static final java.lang.String IDS_ATDM_NUM_EACH_RL_SCEN

      Number of ATDM in One Scenario
      See Also:
        Constant Field Values

    - #### IDS_ATDM_SET_NUM

          public static final java.lang.String IDS_ATDM_SET_NUM

      Number of ATDM Sets in One Seed
      See Also:
        Constant Field Values

    - #### IDS_ATDM_SCEN_IN_EACH_SET

          public static final java.lang.String IDS_ATDM_SCEN_IN_EACH_SET

      Number of Scenarios in Each ATDM Set
      See Also:
        Constant Field Values

    - #### IDS_ATDM_STRAT_TYPE_WEATHER

          public static final java.lang.String IDS_ATDM_STRAT_TYPE_WEATHER

      ATDM parameters identifier
      See Also:
        Constant Field Values

    - #### IDS_ATDM_STRAT_TYPE_DEMAND

          public static final java.lang.String IDS_ATDM_STRAT_TYPE_DEMAND

      ATDM parameters identifier
      See Also:
        Constant Field Values

    - #### IDS_ATDM_STRAT_TYPE_INCIDENT

          public static final java.lang.String IDS_ATDM_STRAT_TYPE_INCIDENT

      ATDM parameters identifier
      See Also:
        Constant Field Values

    - #### IDS_ATDM_STRAT_TYPE_WORKZONE

          public static final java.lang.String IDS_ATDM_STRAT_TYPE_WORKZONE

      ATDM parameters identifier
      See Also:
        Constant Field Values

    - #### IDS_ATDM_STRAT_TYPE_RAMP_METERING

          public static final java.lang.String IDS_ATDM_STRAT_TYPE_RAMP_METERING

      ATDM parameters identifier
      See Also:
        Constant Field Values

    - #### IDS_ATDM_STRAT_TYPE_HARD_SHOULDER_RUNNING

          public static final java.lang.String IDS_ATDM_STRAT_TYPE_HARD_SHOULDER_RUNNING

      ATDM parameters identifier
      See Also:
        Constant Field Values

    - #### IDS_GP_ATDM_CAF

          public static final java.lang.String IDS_GP_ATDM_CAF

      ATDM Analysis Scenario CAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_ATDM_OAF

          public static final java.lang.String IDS_GP_ATDM_OAF

      ATDM Analysis Scenario OAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_ATDM_DAF

          public static final java.lang.String IDS_GP_ATDM_DAF

      ATDM Analysis Scenario DAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_ATDM_SAF

          public static final java.lang.String IDS_GP_ATDM_SAF

      ATDM Analysis Scenario SAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_ATDM_LAF

          public static final java.lang.String IDS_GP_ATDM_LAF

      ATDM Analysis Scenario LAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_ATDM_RAMP_METERING_RATE_FIX

          public static final java.lang.String IDS_ATDM_RAMP_METERING_RATE_FIX

      ATDM Analysis Scenario Ramp Metering Rate for GP segments
      See Also:
        Constant Field Values

    - #### IDS_ML_ATDM_CAF

          public static final java.lang.String IDS_ML_ATDM_CAF

      ATDM Analysis Scenario CAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_ATDM_OAF

          public static final java.lang.String IDS_ML_ATDM_OAF

      ATDM Analysis Scenario OAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_ATDM_DAF

          public static final java.lang.String IDS_ML_ATDM_DAF

      ATDM Analysis Scenario DAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_ATDM_SAF

          public static final java.lang.String IDS_ML_ATDM_SAF

      ATDM Analysis Scenario SAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_ML_ATDM_LAF

          public static final java.lang.String IDS_ML_ATDM_LAF

      ATDM Analysis Scenario LAF for ML segments
      See Also:
        Constant Field Values

    - #### IDS_SEGMENT_TYPE

          public static final java.lang.String IDS_SEGMENT_TYPE

      Segment Type
      See Also:
        Constant Field Values

    - #### IDS_SEGMENT_NAME

          public static final java.lang.String IDS_SEGMENT_NAME

      Segment Name
      See Also:
        Constant Field Values

    - #### IDS_UPSTREAM_COORDINATE

          public static final java.lang.String IDS_UPSTREAM_COORDINATE

      Seed Upstream Coordinate
      See Also:
        Constant Field Values

    - #### IDS_SEGMENT_COORDINATE

          public static final java.lang.String IDS_SEGMENT_COORDINATE

      Segment Endpoint Coordinate
      See Also:
        Constant Field Values

    - #### IDS_UPSTREAM_LATITUDE

          public static final java.lang.String IDS_UPSTREAM_LATITUDE

      Seed Upstream Latitude Coordinate
      See Also:
        Constant Field Values

    - #### IDS_UPSTREAM_LONGITUDE

          public static final java.lang.String IDS_UPSTREAM_LONGITUDE

      Seed Upstream Longitude Coordinate
      See Also:
        Constant Field Values

    - #### IDS_SEGMENT_LATITUDE

          public static final java.lang.String IDS_SEGMENT_LATITUDE

      Segment Endpoint Latitude Coordinate
      See Also:
        Constant Field Values

    - #### IDS_SEGMENT_LONGITUDE

          public static final java.lang.String IDS_SEGMENT_LONGITUDE

      Segment Endpoint Longitude Coordinate
      See Also:
        Constant Field Values

    - #### IDS_SEGMENT_LENGTH_FT

          public static final java.lang.String IDS_SEGMENT_LENGTH_FT

      Segment Length in Feet
      See Also:
        Constant Field Values

    - #### IDS_SEGMENT_LENGTH_MI

          public static final java.lang.String IDS_SEGMENT_LENGTH_MI

      Segment Length in Mile
      See Also:
        Constant Field Values

    - #### IDS_LANE_WIDTH

          public static final java.lang.String IDS_LANE_WIDTH

      Lane Width in Feet
      See Also:
        Constant Field Values

    - #### IDS_LATERAL_CLEARANCE

          public static final java.lang.String IDS_LATERAL_CLEARANCE

      Lateral Clearance in Feet
      See Also:
        Constant Field Values

    - #### IDS_TERRAIN

          public static final java.lang.String IDS_TERRAIN

      Terrain Type
      See Also:
        Constant Field Values

    - #### IDS_TRUCK_CAR_ET

          public static final java.lang.String IDS_TRUCK_CAR_ET

      Truck - Passenger Car Equivalent
      See Also:
        Constant Field Values

    - #### IDS_MAIN_NUM_LANES_IN

          public static final java.lang.String IDS_MAIN_NUM_LANES_IN

      Mainline Number of Lanes
      See Also:
        Constant Field Values

    - #### IDS_MAIN_NUM_LANES_IN_AND_ATDM

          public static final java.lang.String IDS_MAIN_NUM_LANES_IN_AND_ATDM

      Mainline Number of Lanes
      See Also:
        Constant Field Values

    - #### IDS_MAIN_FREE_FLOW_SPEED

          public static final java.lang.String IDS_MAIN_FREE_FLOW_SPEED

      Mainline Free Flow Speed
      See Also:
        Constant Field Values

    - #### IDS_MAIN_DEMAND_VEH

          public static final java.lang.String IDS_MAIN_DEMAND_VEH

      Mainline Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_TRUCK_SINGLE_UNIT_PCT_MAINLINE

          public static final java.lang.String IDS_TRUCK_SINGLE_UNIT_PCT_MAINLINE

      Mainline Truck Single Unit Percentage
      See Also:
        Constant Field Values

    - #### IDS_TRUCK_TRAILER_PCT_MAINLINE

          public static final java.lang.String IDS_TRUCK_TRAILER_PCT_MAINLINE

      Mainline Truck Trailer Percentage
      See Also:
        Constant Field Values

    - #### IDS_TRUCK_SINGLE_UNIT_PCT_ONR

          public static final java.lang.String IDS_TRUCK_SINGLE_UNIT_PCT_ONR

      On Ramp Truck Single Unit Percentage
      See Also:
        Constant Field Values

    - #### IDS_TRUCK_TRAILER_PCT_ONR

          public static final java.lang.String IDS_TRUCK_TRAILER_PCT_ONR

      On Ramp Truck Trailer Percentage
      See Also:
        Constant Field Values

    - #### IDS_TRUCK_SINGLE_UNIT_PCT_OFR

          public static final java.lang.String IDS_TRUCK_SINGLE_UNIT_PCT_OFR

      Off Ramp Truck Single Unit Percentage
      See Also:
        Constant Field Values

    - #### IDS_TRUCK_TRAILER_PCT_OFR

          public static final java.lang.String IDS_TRUCK_TRAILER_PCT_OFR

      Off Ramp Truck Trailer Percentage
      See Also:
        Constant Field Values

    - #### IDS_GP_USER_CAF

          public static final java.lang.String IDS_GP_USER_CAF

      Seed/User CAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_CALIB_CAF

          public static final java.lang.String IDS_GP_CALIB_CAF

      Seed/User CAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_INCIDENT_CAF

          public static final java.lang.String IDS_GP_INCIDENT_CAF

      Seed/User CAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_WZ_CAF

          public static final java.lang.String IDS_GP_WZ_CAF

      Seed/User CAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_USER_ATDM_CAF

          public static final java.lang.String IDS_GP_USER_ATDM_CAF

      Seed/User CAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_USER_OAF

          public static final java.lang.String IDS_GP_USER_OAF

      Seed/User OAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_USER_DAF

          public static final java.lang.String IDS_GP_USER_DAF

      Seed/User DAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_USER_SAF

          public static final java.lang.String IDS_GP_USER_SAF

      Seed/User SAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_USER_DPCAF

          public static final java.lang.String IDS_GP_USER_DPCAF

      Seed/User DPCAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_GP_USER_DPSAF

          public static final java.lang.String IDS_GP_USER_DPSAF

      Seed/User DPSAF for GP segments
      See Also:
        Constant Field Values

    - #### IDS_ACC_DEC_LANE_LENGTH

          public static final java.lang.String IDS_ACC_DEC_LANE_LENGTH

      Acceleration/Deceleration Lane Length in Feet
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_SIDE

          public static final java.lang.String IDS_ON_RAMP_SIDE

      On Ramp Side
      See Also:
        Constant Field Values

    - #### IDS_NUM_ON_RAMP_LANES

          public static final java.lang.String IDS_NUM_ON_RAMP_LANES

      On Ramp Number of Lanes
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_DEMAND_VEH

          public static final java.lang.String IDS_ON_RAMP_DEMAND_VEH

      On Ramp Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_QUEUE_CAPACITY_VPL

          public static final java.lang.String IDS_ON_RAMP_QUEUE_CAPACITY_VPL

      On Ramp Queue Capacity in veh/lane
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_FREE_FLOW_SPEED

          public static final java.lang.String IDS_ON_RAMP_FREE_FLOW_SPEED

      On Ramp Free Flow Speed
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_METERING_RATE_FIX

          public static final java.lang.String IDS_ON_RAMP_METERING_RATE_FIX

      On Ramp Metering Fix Rate
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_METERING_RATE_ALINEA_KEY

          public static final java.lang.String IDS_ON_RAMP_METERING_RATE_ALINEA_KEY

      On Ramp ALINEA Adaptive Metering
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_METERING_RATE_FUZZY_KEY

          public static final java.lang.String IDS_ON_RAMP_METERING_RATE_FUZZY_KEY

      On Ramp Fuzzy Adaptive Metering
      See Also:
        Constant Field Values

    - #### IDS_OFF_RAMP_SIDE

          public static final java.lang.String IDS_OFF_RAMP_SIDE

      Off Ramp Side
      See Also:
        Constant Field Values

    - #### IDS_NUM_OFF_RAMP_LANES

          public static final java.lang.String IDS_NUM_OFF_RAMP_LANES

      Off Ramp Number of Lanes
      See Also:
        Constant Field Values

    - #### IDS_OFF_RAMP_DEMAND_VEH

          public static final java.lang.String IDS_OFF_RAMP_DEMAND_VEH

      Off Ramp Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_OFF_RAMP_FREE_FLOW_SPEED

          public static final java.lang.String IDS_OFF_RAMP_FREE_FLOW_SPEED

      Off Ramp Free Flow Speed
      See Also:
        Constant Field Values

    - #### IDS_LENGTH_OF_WEAVING

          public static final java.lang.String IDS_LENGTH_OF_WEAVING

      Length Short / Weaving Length in Feet
      See Also:
        Constant Field Values

    - #### IDS_MIN_LANE_CHANGE_ONR_TO_FRWY

          public static final java.lang.String IDS_MIN_LANE_CHANGE_ONR_TO_FRWY

      Minimum Lane Change From On Ramp to Mainline
      See Also:
        Constant Field Values

    - #### IDS_MIN_LANE_CHANGE_FRWY_TO_OFR

          public static final java.lang.String IDS_MIN_LANE_CHANGE_FRWY_TO_OFR

      Minimum Lane Change From Mainline to Off Ramp
      See Also:
        Constant Field Values

    - #### IDS_MIN_LANE_CHANGE_ONR_TO_OFR

          public static final java.lang.String IDS_MIN_LANE_CHANGE_ONR_TO_OFR

      Minimum Lane Change From On Ramp to Off Ramp
      See Also:
        Constant Field Values

    - #### IDS_NUM_LANES_WEAVING

          public static final java.lang.String IDS_NUM_LANES_WEAVING

      Number of Lanes Weaving
      See Also:
        Constant Field Values

    - #### IDS_RAMP_TO_RAMP_DEMAND_VEH

          public static final java.lang.String IDS_RAMP_TO_RAMP_DEMAND_VEH

      Ramp to Ramp Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_RAMP_METERING_TYPE

          public static final java.lang.String IDS_RAMP_METERING_TYPE

      User defined ramp metering type
      See Also:
        Constant Field Values

    - #### IDS_ATDM_RAMP_METERING_TYPE

          public static final java.lang.String IDS_ATDM_RAMP_METERING_TYPE

      ATDM ramp metering type
      See Also:
        Constant Field Values

    - #### IDS_HAS_CROSS_WEAVE

          public static final java.lang.String IDS_HAS_CROSS_WEAVE

      Whether The Segment Has Cross Weave Effect
      See Also:
        Constant Field Values

    - #### IDS_CROSS_WEAVE_LC_MIN

          public static final java.lang.String IDS_CROSS_WEAVE_LC_MIN

      Managed Lane Cross Weave Minium Lane Change
      See Also:
        Constant Field Values

    - #### IDS_CROSS_WEAVE_VOLUME

          public static final java.lang.String IDS_CROSS_WEAVE_VOLUME

      Managed Lane Cross Weave Volume
      See Also:
        Constant Field Values

    - #### IDS_CROSS_WEAVE_CAF

          public static final java.lang.String IDS_CROSS_WEAVE_CAF

      Cross Weave Capacity Adjustment Factor (Apply on GP when ML is used and has cross weave effect)
      See Also:
        Constant Field Values

    - #### IDS_TYPE_USED

          public static final java.lang.String IDS_TYPE_USED

      Segment Type Used
      See Also:
        Constant Field Values

    - #### IDS_SPEED

          public static final java.lang.String IDS_SPEED

      Output Speed in mph
      See Also:
        Constant Field Values

    - #### IDS_TOTAL_DENSITY_VEH

          public static final java.lang.String IDS_TOTAL_DENSITY_VEH

      Output Density in veh/mi/ln
      See Also:
        Constant Field Values

    - #### IDS_TOTAL_DENSITY_PC

          public static final java.lang.String IDS_TOTAL_DENSITY_PC

      Output Density in pc/mi/ln
      See Also:
        Constant Field Values

    - #### IDS_INFLUENCED_DENSITY_PC

          public static final java.lang.String IDS_INFLUENCED_DENSITY_PC

      Output Influenced Area Density pc/mi/ln
      See Also:
        Constant Field Values

    - #### IDS_OCCUPANCY_PCT

          public static final java.lang.String IDS_OCCUPANCY_PCT

      Output Occupancy Percent
      See Also:
        Constant Field Values

    - #### IDS_ADJUSTED_MAIN_DEMAND

          public static final java.lang.String IDS_ADJUSTED_MAIN_DEMAND

      Output Adjusted Mainline Demand in vph
      See Also:
        Constant Field Values

    - #### IDS_MAIN_CAPACITY

          public static final java.lang.String IDS_MAIN_CAPACITY

      Output Mainline Capacity in vph
      See Also:
        Constant Field Values

    - #### IDS_GP_HCM_BASE_CAPACITY

          public static final java.lang.String IDS_GP_HCM_BASE_CAPACITY

      Output HCM Ideal Mainline Capacity in pcphpl (display only, not used in computations)
      See Also:
        Constant Field Values

    - #### IDS_GP_LOCAL_BASE_CAPACITY

          public static final java.lang.String IDS_GP_LOCAL_BASE_CAPACITY

      Output Local Ideal Mainline Capacity in pcphpl (display only, not used in computations)
      See Also:
        Constant Field Values

    - #### IDS_GP_LOCAL_DEFAULT_CAF

          public static final java.lang.String IDS_GP_LOCAL_DEFAULT_CAF

      Output local default CAF (Local Ideal capacity divided by HCM IDEAL Capacity (display only, not used in computations)
      See Also:
        Constant Field Values

    - #### IDS_GP_COMBINED_CAF

          public static final java.lang.String IDS_GP_COMBINED_CAF

      Output total combined CAF (display only, not used in computations)
      See Also:
        Constant Field Values

    - #### IDS_GP_CAF_CAPACITY

          public static final java.lang.String IDS_GP_CAF_CAPACITY

      Output Final CAF Adjusted Mainline Capacity in pcph (display only, not used in computations)
      See Also:
        Constant Field Values

    - #### IDS_GP_FHV

          public static final java.lang.String IDS_GP_FHV

      Output Mainline Heavy Vehicle Adjustment Factor
      See Also:
        Constant Field Values

    - #### IDS_MAIN_VOLUME_SERVED

          public static final java.lang.String IDS_MAIN_VOLUME_SERVED

      Output Mainline Volume Served
      See Also:
        Constant Field Values

    - #### IDS_DC

          public static final java.lang.String IDS_DC

      Output Demand/Capacity Ratio
      See Also:
        Constant Field Values

    - #### IDS_VC

          public static final java.lang.String IDS_VC

      Output Volume/Capacity Ratio
      See Also:
        Constant Field Values

    - #### IDS_DENSITY_BASED_LOS

          public static final java.lang.String IDS_DENSITY_BASED_LOS

      Output Density Based LOS
      See Also:
        Constant Field Values

    - #### IDS_DEMAND_BASED_LOS

          public static final java.lang.String IDS_DEMAND_BASED_LOS

      Output Demand Based LOS
      See Also:
        Constant Field Values

    - #### IDS_QUEUE_LENGTH

          public static final java.lang.String IDS_QUEUE_LENGTH

      Output Queue Length In Feet
      See Also:
        Constant Field Values

    - #### IDS_QUEUE_PERCENTAGE

          public static final java.lang.String IDS_QUEUE_PERCENTAGE

      Output Queue Percentage
      See Also:
        Constant Field Values

    - #### IDS_ON_QUEUE_VEH

          public static final java.lang.String IDS_ON_QUEUE_VEH

      Output On Ramp Queue In Number Of Vehicles
      See Also:
        Constant Field Values

    - #### IDS_ACTUAL_TIME

          public static final java.lang.String IDS_ACTUAL_TIME

      Output Actual Travel Time in Minute
      See Also:
        Constant Field Values

    - #### IDS_FFS_TIME

          public static final java.lang.String IDS_FFS_TIME

      Output Free Flow Speed Travel Time in Minute
      See Also:
        Constant Field Values

    - #### IDS_MAINLINE_DELAY

          public static final java.lang.String IDS_MAINLINE_DELAY

      Output Mainline Delay in Minute
      See Also:
        Constant Field Values

    - #### IDS_VMTD

          public static final java.lang.String IDS_VMTD

      Output VMTD
      See Also:
        Constant Field Values

    - #### IDS_VMTV

          public static final java.lang.String IDS_VMTV

      Output VMTV
      See Also:
        Constant Field Values

    - #### IDS_PMTD

          public static final java.lang.String IDS_PMTD

      Output PMTD
      See Also:
        Constant Field Values

    - #### IDS_PMTV

          public static final java.lang.String IDS_PMTV

      Output PMTV
      See Also:
        Constant Field Values

    - #### IDS_VHT

          public static final java.lang.String IDS_VHT

      Output VHT
      See Also:
        Constant Field Values

    - #### IDS_VHD_M

          public static final java.lang.String IDS_VHD_M

      Output VHD-M
      See Also:
        Constant Field Values

    - #### IDS_VHD_R

          public static final java.lang.String IDS_VHD_R

      Output VHD-R
      See Also:
        Constant Field Values

    - #### IDS_VHD_ACCESS

          public static final java.lang.String IDS_VHD_ACCESS

      Output VHD-ACCESS
      See Also:
        Constant Field Values

    - #### IDS_VHD_MDE

          public static final java.lang.String IDS_VHD_MDE

      Output VHD
      See Also:
        Constant Field Values

    - #### IDS_VHD

          public static final java.lang.String IDS_VHD

      Output VHD
      See Also:
        Constant Field Values

    - #### IDS_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_SPACE_MEAN_SPEED

      Output Space Mean Speed
      See Also:
        Constant Field Values

    - #### IDS_TRAVEL_TIME_INDEX

          public static final java.lang.String IDS_TRAVEL_TIME_INDEX

      Output Travel Time Index
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_CAPACITY

          public static final java.lang.String IDS_ON_RAMP_CAPACITY

      Output On/Off Ramp Capacity in vph
      See Also:
        Constant Field Values

    - #### IDS_ADJUSTED_ON_RAMP_DEMAND

          public static final java.lang.String IDS_ADJUSTED_ON_RAMP_DEMAND

      Output Adjusted On Ramp Demand in vph
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_VOLUME_SERVED

          public static final java.lang.String IDS_ON_RAMP_VOLUME_SERVED

      Output On Ramp Volume Served in vph
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_TIME_METERED

          public static final java.lang.String IDS_ON_RAMP_TIME_METERED

      Output On Ramp Time Metered in a Period
      See Also:
        Constant Field Values

    - #### IDS_ON_RAMP_AVG_METERING_RATE

          public static final java.lang.String IDS_ON_RAMP_AVG_METERING_RATE

      Output On Ramp Average Metering Rate in a Period
      See Also:
        Constant Field Values

    - #### IDS_OFF_RAMP_CAPACITY

          public static final java.lang.String IDS_OFF_RAMP_CAPACITY

      Output Off Ramp Capacity in vph
      See Also:
        Constant Field Values

    - #### IDS_ADJUSTED_OFF_RAMP_DEMAND

          public static final java.lang.String IDS_ADJUSTED_OFF_RAMP_DEMAND

      Output Adjusted Off Ramp Demand in vph
      See Also:
        Constant Field Values

    - #### IDS_OFF_RAMP_VOLUME_SERVED

          public static final java.lang.String IDS_OFF_RAMP_VOLUME_SERVED

      Output Off Ramp Volume Served in vph
      See Also:
        Constant Field Values

    - #### IDS_P_ACTUAL_TIME

          public static final java.lang.String IDS_P_ACTUAL_TIME

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_FFS_TIME

          public static final java.lang.String IDS_P_FFS_TIME

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_MAIN_DELAY

          public static final java.lang.String IDS_P_MAIN_DELAY

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_ONR_DELAY

          public static final java.lang.String IDS_P_ONR_DELAY

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_VMTD

          public static final java.lang.String IDS_P_VMTD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_VMTV

          public static final java.lang.String IDS_P_VMTV

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_PMTD

          public static final java.lang.String IDS_P_PMTD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_PMTV

          public static final java.lang.String IDS_P_PMTV

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_VHT

          public static final java.lang.String IDS_P_VHT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_VHD

          public static final java.lang.String IDS_P_VHD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_P_SPACE_MEAN_SPEED

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_TOTAL_DENSITY_VEH

          public static final java.lang.String IDS_P_TOTAL_DENSITY_VEH

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_TOTAL_DENSITY_PC

          public static final java.lang.String IDS_P_TOTAL_DENSITY_PC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_REPORT_LOS

          public static final java.lang.String IDS_P_REPORT_LOS

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_TTI

          public static final java.lang.String IDS_P_TTI

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_MAX_DC

          public static final java.lang.String IDS_P_MAX_DC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_MAX_VC

          public static final java.lang.String IDS_P_MAX_VC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_TOTAL_MAIN_QUEUE_LENGTH_FT

          public static final java.lang.String IDS_P_TOTAL_MAIN_QUEUE_LENGTH_FT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_TOTAL_DENY_QUEUE_VEH

          public static final java.lang.String IDS_P_TOTAL_DENY_QUEUE_VEH

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_P_TOTAL_ON_QUEUE_VEH

          public static final java.lang.String IDS_P_TOTAL_ON_QUEUE_VEH

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_S_ACTUAL_TIME

          public static final java.lang.String IDS_S_ACTUAL_TIME

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_VMTD

          public static final java.lang.String IDS_S_VMTD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_VMTV

          public static final java.lang.String IDS_S_VMTV

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_PMTD

          public static final java.lang.String IDS_S_PMTD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_PMTV

          public static final java.lang.String IDS_S_PMTV

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_VHT

          public static final java.lang.String IDS_S_VHT

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_VHD

          public static final java.lang.String IDS_S_VHD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_S_SPACE_MEAN_SPEED

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_REPORT_DENSITY_PC

          public static final java.lang.String IDS_S_REPORT_DENSITY_PC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_MAX_DC

          public static final java.lang.String IDS_S_MAX_DC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_S_MAX_VC

          public static final java.lang.String IDS_S_MAX_VC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_ACTUAL_TIME

          public static final java.lang.String IDS_SP_ACTUAL_TIME

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_VMTD

          public static final java.lang.String IDS_SP_VMTD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_VMTV

          public static final java.lang.String IDS_SP_VMTV

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_PMTD

          public static final java.lang.String IDS_SP_PMTD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_PMTV

          public static final java.lang.String IDS_SP_PMTV

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_VHT

          public static final java.lang.String IDS_SP_VHT

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_VHD

          public static final java.lang.String IDS_SP_VHD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_SP_SPACE_MEAN_SPEED

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_REPORT_DENSITY_PC

          public static final java.lang.String IDS_SP_REPORT_DENSITY_PC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_MAX_DC

          public static final java.lang.String IDS_SP_MAX_DC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_SP_MAX_VC

          public static final java.lang.String IDS_SP_MAX_VC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SEGMENT_TYPE

          public static final java.lang.String IDS_ML_SEGMENT_TYPE

      Segment Type
      See Also:
        Constant Field Values

    - #### IDS_ML_SEPARATION_TYPE

          public static final java.lang.String IDS_ML_SEPARATION_TYPE

      Segment Separation Type
      See Also:
        Constant Field Values

    - #### IDS_ML_SEGMENT_LENGTH_FT

          public static final java.lang.String IDS_ML_SEGMENT_LENGTH_FT

      Segment Length in Feet
      See Also:
        Constant Field Values

    - #### IDS_ML_SEGMENT_LENGTH_MI

          public static final java.lang.String IDS_ML_SEGMENT_LENGTH_MI

      Segment Length in Mile
      See Also:
        Constant Field Values

    - #### IDS_ML_NUM_LANES

          public static final java.lang.String IDS_ML_NUM_LANES

      Mainline Number of Lanes
      See Also:
        Constant Field Values

    - #### IDS_ML_FREE_FLOW_SPEED

          public static final java.lang.String IDS_ML_FREE_FLOW_SPEED

      Mainline Free Flow Speed
      See Also:
        Constant Field Values

    - #### IDS_ML_DEMAND_VEH

          public static final java.lang.String IDS_ML_DEMAND_VEH

      Mainline Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_ML_TRUCK_SINGLE_PERCENTAGE

          public static final java.lang.String IDS_ML_TRUCK_SINGLE_PERCENTAGE

      Mainline/On Ramp/Off Ramp Truck Single Percentage
      See Also:
        Constant Field Values

    - #### IDS_ML_TRUCK_TRAILER_PERCENTAGE

          public static final java.lang.String IDS_ML_TRUCK_TRAILER_PERCENTAGE

      Mainline/On Ramp/Off Ramp Truck Trailer Percentage
      See Also:
        Constant Field Values

    - #### IDS_ML_USER_CAF

          public static final java.lang.String IDS_ML_USER_CAF

      Seed/User CAF
      See Also:
        Constant Field Values

    - #### IDS_ML_USER_OAF

          public static final java.lang.String IDS_ML_USER_OAF

      Seed/User OAF
      See Also:
        Constant Field Values

    - #### IDS_ML_USER_DAF

          public static final java.lang.String IDS_ML_USER_DAF

      Seed/User DAF
      See Also:
        Constant Field Values

    - #### IDS_ML_USER_SAF

          public static final java.lang.String IDS_ML_USER_SAF

      Seed/User SAF
      See Also:
        Constant Field Values

    - #### IDS_ML_ACC_DEC_LANE_LENGTH

          public static final java.lang.String IDS_ML_ACC_DEC_LANE_LENGTH

      Acceleration/Deceleration Lane Length in Feet
      See Also:
        Constant Field Values

    - #### IDS_ML_ON_RAMP_SIDE

          public static final java.lang.String IDS_ML_ON_RAMP_SIDE

      On Ramp Side
      See Also:
        Constant Field Values

    - #### IDS_ML_NUM_ON_RAMP_LANES

          public static final java.lang.String IDS_ML_NUM_ON_RAMP_LANES

      On Ramp Number of Lanes
      See Also:
        Constant Field Values

    - #### IDS_ML_ON_RAMP_DEMAND_VEH

          public static final java.lang.String IDS_ML_ON_RAMP_DEMAND_VEH

      On Ramp Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_ML_ON_RAMP_FREE_FLOW_SPEED

          public static final java.lang.String IDS_ML_ON_RAMP_FREE_FLOW_SPEED

      On Ramp Free Flow Speed
      See Also:
        Constant Field Values

    - #### IDS_ML_OFF_RAMP_SIDE

          public static final java.lang.String IDS_ML_OFF_RAMP_SIDE

      Off Ramp Side
      See Also:
        Constant Field Values

    - #### IDS_ML_NUM_OFF_RAMP_LANES

          public static final java.lang.String IDS_ML_NUM_OFF_RAMP_LANES

      Off Ramp Number of Lanes
      See Also:
        Constant Field Values

    - #### IDS_ML_OFF_RAMP_DEMAND_VEH

          public static final java.lang.String IDS_ML_OFF_RAMP_DEMAND_VEH

      Off Ramp Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_ML_OFF_RAMP_FREE_FLOW_SPEED

          public static final java.lang.String IDS_ML_OFF_RAMP_FREE_FLOW_SPEED

      Off Ramp Free Flow Speed
      See Also:
        Constant Field Values

    - #### IDS_ML_LENGTH_SHORT

          public static final java.lang.String IDS_ML_LENGTH_SHORT

      Length Short / Weaving Length in Feet
      See Also:
        Constant Field Values

    - #### IDS_ML_MIN_LANE_CHANGE_ONR_TO_FRWY

          public static final java.lang.String IDS_ML_MIN_LANE_CHANGE_ONR_TO_FRWY

      Minimum Lane Change From On Ramp to Mainline
      See Also:
        Constant Field Values

    - #### IDS_ML_MIN_LANE_CHANGE_FRWY_TO_OFR

          public static final java.lang.String IDS_ML_MIN_LANE_CHANGE_FRWY_TO_OFR

      Minimum Lane Change From Mainline to Off Ramp
      See Also:
        Constant Field Values

    - #### IDS_ML_MIN_LANE_CHANGE_ONR_TO_OFR

          public static final java.lang.String IDS_ML_MIN_LANE_CHANGE_ONR_TO_OFR

      Minimum Lane Change From On Ramp to Off Ramp
      See Also:
        Constant Field Values

    - #### IDS_ML_NUM_LANES_WEAVING

          public static final java.lang.String IDS_ML_NUM_LANES_WEAVING

      Number of Lanes Weaving
      See Also:
        Constant Field Values

    - #### IDS_ML_RAMP_TO_RAMP_DEMAND_VEH

          public static final java.lang.String IDS_ML_RAMP_TO_RAMP_DEMAND_VEH

      Ramp to Ramp Demand in veh
      See Also:
        Constant Field Values

    - #### IDS_ML_MIN_LANE_CHANGE_ML

          public static final java.lang.String IDS_ML_MIN_LANE_CHANGE_ML

      Minimum Lane Change between GP and ML
      See Also:
        Constant Field Values

    - #### IDS_ML_MAX_LANE_CHANGE_ML

          public static final java.lang.String IDS_ML_MAX_LANE_CHANGE_ML

      Maximum Lane Change between GP and ML
      See Also:
        Constant Field Values

    - #### IDS_ML_TYPE_USED

          public static final java.lang.String IDS_ML_TYPE_USED

      Segment Type Used
      See Also:
        Constant Field Values

    - #### IDS_ML_SPEED

          public static final java.lang.String IDS_ML_SPEED

      Output Speed in mph
      See Also:
        Constant Field Values

    - #### IDS_ML_TOTAL_DENSITY_VEH

          public static final java.lang.String IDS_ML_TOTAL_DENSITY_VEH

      Output Density in veh/mi/ln
      See Also:
        Constant Field Values

    - #### IDS_ML_TOTAL_DENSITY_PC

          public static final java.lang.String IDS_ML_TOTAL_DENSITY_PC

      Output Density in pc/mi/ln
      See Also:
        Constant Field Values

    - #### IDS_ML_INFLUENCED_DENSITY_PC

          public static final java.lang.String IDS_ML_INFLUENCED_DENSITY_PC

      Output Influenced Area Density pc/mi/ln
      See Also:
        Constant Field Values

    - #### IDS_ML_OCCUPANCY_PCT

          public static final java.lang.String IDS_ML_OCCUPANCY_PCT

      Output ML Occupancy Percent
      See Also:
        Constant Field Values

    - #### IDS_ML_ADJUSTED_MAIN_DEMAND

          public static final java.lang.String IDS_ML_ADJUSTED_MAIN_DEMAND

      Output Adjusted Mainline Demand in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_MAIN_CAPACITY

          public static final java.lang.String IDS_ML_MAIN_CAPACITY

      Output Mainline Capacity in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_MAIN_VOLUME_SERVED

          public static final java.lang.String IDS_ML_MAIN_VOLUME_SERVED

      Output Mainline Volume Served
      See Also:
        Constant Field Values

    - #### IDS_ML_DC

          public static final java.lang.String IDS_ML_DC

      Output Demand/Capacity Ratio
      See Also:
        Constant Field Values

    - #### IDS_ML_VC

          public static final java.lang.String IDS_ML_VC

      Output Volume/Capacity Ratio
      See Also:
        Constant Field Values

    - #### IDS_ML_DENSITY_BASED_LOS

          public static final java.lang.String IDS_ML_DENSITY_BASED_LOS

      Output Density Based LOS
      See Also:
        Constant Field Values

    - #### IDS_ML_DEMAND_BASED_LOS

          public static final java.lang.String IDS_ML_DEMAND_BASED_LOS

      Output Demand Based LOS
      See Also:
        Constant Field Values

    - #### IDS_ML_QUEUE_LENGTH

          public static final java.lang.String IDS_ML_QUEUE_LENGTH

      Output Queue Length In Feet
      See Also:
        Constant Field Values

    - #### IDS_ML_QUEUE_PERCENTAGE

          public static final java.lang.String IDS_ML_QUEUE_PERCENTAGE

      Output Queue Percentage
      See Also:
        Constant Field Values

    - #### IDS_ML_ON_QUEUE_VEH

          public static final java.lang.String IDS_ML_ON_QUEUE_VEH

      Output On Ramp Queue In Number Of Vehicles
      See Also:
        Constant Field Values

    - #### IDS_ML_ACTUAL_TIME

          public static final java.lang.String IDS_ML_ACTUAL_TIME

      Output Actual Travel Time in Minute
      See Also:
        Constant Field Values

    - #### IDS_ML_FFS_TIME

          public static final java.lang.String IDS_ML_FFS_TIME

      Output Free Flow Speed Travel Time in Minute
      See Also:
        Constant Field Values

    - #### IDS_ML_MAINLINE_DELAY

          public static final java.lang.String IDS_ML_MAINLINE_DELAY

      Output Mainline Delay in Minute
      See Also:
        Constant Field Values

    - #### IDS_ML_VMTD

          public static final java.lang.String IDS_ML_VMTD

      Output VMTD
      See Also:
        Constant Field Values

    - #### IDS_ML_VMTV

          public static final java.lang.String IDS_ML_VMTV

      Output VMTV
      See Also:
        Constant Field Values

    - #### IDS_ML_PMTD

          public static final java.lang.String IDS_ML_PMTD

      Output PMTD
      See Also:
        Constant Field Values

    - #### IDS_ML_PMTV

          public static final java.lang.String IDS_ML_PMTV

      Output PMTV
      See Also:
        Constant Field Values

    - #### IDS_ML_VHT

          public static final java.lang.String IDS_ML_VHT

      Output VHT
      See Also:
        Constant Field Values

    - #### IDS_ML_VHD_M

          public static final java.lang.String IDS_ML_VHD_M

      Output VHD
      See Also:
        Constant Field Values

    - #### IDS_ML_VHD_R

          public static final java.lang.String IDS_ML_VHD_R

      Output VHD
      See Also:
        Constant Field Values

    - #### IDS_ML_VHD_ACCESS

          public static final java.lang.String IDS_ML_VHD_ACCESS

      Output VHD
      See Also:
        Constant Field Values

    - #### IDS_ML_VHD_MDE

          public static final java.lang.String IDS_ML_VHD_MDE

      Output VHD
      See Also:
        Constant Field Values

    - #### IDS_ML_VHD

          public static final java.lang.String IDS_ML_VHD

      Output VHD
      See Also:
        Constant Field Values

    - #### IDS_ML_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_ML_SPACE_MEAN_SPEED

      Output Space Mean Speed
      See Also:
        Constant Field Values

    - #### IDS_ML_TRAVEL_TIME_INDEX

          public static final java.lang.String IDS_ML_TRAVEL_TIME_INDEX

      Output Travel Time Index
      See Also:
        Constant Field Values

    - #### IDS_ML_ON_RAMP_CAPACITY

          public static final java.lang.String IDS_ML_ON_RAMP_CAPACITY

      Output On/Off Ramp Capacity in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_ADJUSTED_ON_RAMP_DEMAND

          public static final java.lang.String IDS_ML_ADJUSTED_ON_RAMP_DEMAND

      Output Adjusted On Ramp Demand in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_ON_RAMP_VOLUME_SERVED

          public static final java.lang.String IDS_ML_ON_RAMP_VOLUME_SERVED

      Output On Ramp Volume Served in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_OFF_RAMP_CAPACITY

          public static final java.lang.String IDS_ML_OFF_RAMP_CAPACITY

      Output Off Ramp Capacity in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_ADJUSTED_OFF_RAMP_DEMAND

          public static final java.lang.String IDS_ML_ADJUSTED_OFF_RAMP_DEMAND

      Output Adjusted Off Ramp Demand in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_OFF_RAMP_VOLUME_SERVED

          public static final java.lang.String IDS_ML_OFF_RAMP_VOLUME_SERVED

      Output Off Ramp Volume Served in vph
      See Also:
        Constant Field Values

    - #### IDS_ML_P_ACTUAL_TIME

          public static final java.lang.String IDS_ML_P_ACTUAL_TIME

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_FFS_TIME

          public static final java.lang.String IDS_ML_P_FFS_TIME

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_MAIN_DELAY

          public static final java.lang.String IDS_ML_P_MAIN_DELAY

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_ONR_DELAY

          public static final java.lang.String IDS_ML_P_ONR_DELAY

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_VMTD

          public static final java.lang.String IDS_ML_P_VMTD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_VMTV

          public static final java.lang.String IDS_ML_P_VMTV

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_PMTD

          public static final java.lang.String IDS_ML_P_PMTD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_PMTV

          public static final java.lang.String IDS_ML_P_PMTV

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_VHT

          public static final java.lang.String IDS_ML_P_VHT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_VHD

          public static final java.lang.String IDS_ML_P_VHD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_ML_P_SPACE_MEAN_SPEED

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_TOTAL_DENSITY_VEH

          public static final java.lang.String IDS_ML_P_TOTAL_DENSITY_VEH

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_TOTAL_DENSITY_PC

          public static final java.lang.String IDS_ML_P_TOTAL_DENSITY_PC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_REPORT_LOS

          public static final java.lang.String IDS_ML_P_REPORT_LOS

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_TTI

          public static final java.lang.String IDS_ML_P_TTI

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_MAX_DC

          public static final java.lang.String IDS_ML_P_MAX_DC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_MAX_VC

          public static final java.lang.String IDS_ML_P_MAX_VC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_TOTAL_MAIN_QUEUE_LENGTH_FT

          public static final java.lang.String IDS_ML_P_TOTAL_MAIN_QUEUE_LENGTH_FT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_TOTAL_DENY_QUEUE_VEH

          public static final java.lang.String IDS_ML_P_TOTAL_DENY_QUEUE_VEH

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_P_TOTAL_ON_QUEUE_LENGTH_FT

          public static final java.lang.String IDS_ML_P_TOTAL_ON_QUEUE_LENGTH_FT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_ACTUAL_TIME

          public static final java.lang.String IDS_ML_S_ACTUAL_TIME

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_VMTD

          public static final java.lang.String IDS_ML_S_VMTD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_VMTV

          public static final java.lang.String IDS_ML_S_VMTV

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_PMTD

          public static final java.lang.String IDS_ML_S_PMTD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_PMTV

          public static final java.lang.String IDS_ML_S_PMTV

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_VHT

          public static final java.lang.String IDS_ML_S_VHT

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_VHD

          public static final java.lang.String IDS_ML_S_VHD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_ML_S_SPACE_MEAN_SPEED

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_REPORT_DENSITY_PC

          public static final java.lang.String IDS_ML_S_REPORT_DENSITY_PC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_MAX_DC

          public static final java.lang.String IDS_ML_S_MAX_DC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_S_MAX_VC

          public static final java.lang.String IDS_ML_S_MAX_VC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_ACTUAL_TIME

          public static final java.lang.String IDS_ML_SP_ACTUAL_TIME

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_VMTD

          public static final java.lang.String IDS_ML_SP_VMTD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_VMTV

          public static final java.lang.String IDS_ML_SP_VMTV

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_PMTD

          public static final java.lang.String IDS_ML_SP_PMTD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_PMTV

          public static final java.lang.String IDS_ML_SP_PMTV

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_VHT

          public static final java.lang.String IDS_ML_SP_VHT

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_VHD

          public static final java.lang.String IDS_ML_SP_VHD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_ML_SP_SPACE_MEAN_SPEED

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_REPORT_DENSITY_PC

          public static final java.lang.String IDS_ML_SP_REPORT_DENSITY_PC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_MAX_DC

          public static final java.lang.String IDS_ML_SP_MAX_DC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_ML_SP_MAX_VC

          public static final java.lang.String IDS_ML_SP_MAX_VC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_ACTUAL_TIME

          public static final java.lang.String IDS_CB_P_ACTUAL_TIME

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_FFS_TIME

          public static final java.lang.String IDS_CB_P_FFS_TIME

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_MAIN_DELAY

          public static final java.lang.String IDS_CB_P_MAIN_DELAY

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_ONR_DELAY

          public static final java.lang.String IDS_CB_P_ONR_DELAY

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_VMTD

          public static final java.lang.String IDS_CB_P_VMTD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_VMTV

          public static final java.lang.String IDS_CB_P_VMTV

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_PMTD

          public static final java.lang.String IDS_CB_P_PMTD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_PMTV

          public static final java.lang.String IDS_CB_P_PMTV

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_VHT

          public static final java.lang.String IDS_CB_P_VHT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_VHD

          public static final java.lang.String IDS_CB_P_VHD

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_CB_P_SPACE_MEAN_SPEED

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_TOTAL_DENSITY_VEH

          public static final java.lang.String IDS_CB_P_TOTAL_DENSITY_VEH

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_TOTAL_DENSITY_PC

          public static final java.lang.String IDS_CB_P_TOTAL_DENSITY_PC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_REPORT_LOS

          public static final java.lang.String IDS_CB_P_REPORT_LOS

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_TTI

          public static final java.lang.String IDS_CB_P_TTI

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_MAX_DC

          public static final java.lang.String IDS_CB_P_MAX_DC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_MAX_VC

          public static final java.lang.String IDS_CB_P_MAX_VC

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_TOTAL_MAIN_QUEUE_LENGTH_FT

          public static final java.lang.String IDS_CB_P_TOTAL_MAIN_QUEUE_LENGTH_FT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_TOTAL_DENY_QUEUE_VEH

          public static final java.lang.String IDS_CB_P_TOTAL_DENY_QUEUE_VEH

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_P_TOTAL_ON_QUEUE_LENGTH_FT

          public static final java.lang.String IDS_CB_P_TOTAL_ON_QUEUE_LENGTH_FT

      Period Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_ACTUAL_TIME

          public static final java.lang.String IDS_CB_S_ACTUAL_TIME

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_VMTD

          public static final java.lang.String IDS_CB_S_VMTD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_VMTV

          public static final java.lang.String IDS_CB_S_VMTV

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_PMTD

          public static final java.lang.String IDS_CB_S_PMTD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_PMTV

          public static final java.lang.String IDS_CB_S_PMTV

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_VHT

          public static final java.lang.String IDS_CB_S_VHT

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_VHD

          public static final java.lang.String IDS_CB_S_VHD

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_CB_S_SPACE_MEAN_SPEED

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_REPORT_DENSITY_PC

          public static final java.lang.String IDS_CB_S_REPORT_DENSITY_PC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_MAX_DC

          public static final java.lang.String IDS_CB_S_MAX_DC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_S_MAX_VC

          public static final java.lang.String IDS_CB_S_MAX_VC

      Segment Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_ACTUAL_TIME

          public static final java.lang.String IDS_CB_SP_ACTUAL_TIME

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_VMTD

          public static final java.lang.String IDS_CB_SP_VMTD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_VMTV

          public static final java.lang.String IDS_CB_SP_VMTV

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_PMTD

          public static final java.lang.String IDS_CB_SP_PMTD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_PMTV

          public static final java.lang.String IDS_CB_SP_PMTV

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_VHT

          public static final java.lang.String IDS_CB_SP_VHT

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_VHD

          public static final java.lang.String IDS_CB_SP_VHD

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_SPACE_MEAN_SPEED

          public static final java.lang.String IDS_CB_SP_SPACE_MEAN_SPEED

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_REPORT_DENSITY_PC

          public static final java.lang.String IDS_CB_SP_REPORT_DENSITY_PC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_MAX_DC

          public static final java.lang.String IDS_CB_SP_MAX_DC

      Facility Summary
      See Also:
        Constant Field Values

    - #### IDS_CB_SP_MAX_VC

          public static final java.lang.String IDS_CB_SP_MAX_VC

      Facility Summary
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CEConst

          public CEConst()